spring:
  cloud:
    gateway:
      routes:
        - id: clients-route
          predicates:
            - Path=/api/client-service/**
          uri: lb://CLIENT-SERVICE
          filters:
            - RewritePath=/api/client-service(?<segment>.*),$\{segment}
            - RewriteLocationResponseHeader=AS_IN_REQUEST, Location, localhost:8080/api/client-service

        - id: vouchers-route
          predicates:
            - Path=/api/voucher-service/**
          uri: lb://VOUCHER-SERVICE
          filters:
            - RewritePath=/api/voucher-service(?<segment>.*),$\{segment}
            - RewriteLocationResponseHeader=AS_IN_REQUEST, Location, localhost:8080/api/voucher-service
#          globalcors:
#            cors-configurations:
#              '[/**]':
#                allowedOrigins: "http://localhost:4200"
#                allowedMethods:
#                  - GET
#                  - POST
#                  - PUT
#                  - DELETE
